Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configuration
Interface IInstallConfiguration

All Superinterfaces:
  IAdaptable

public interface IInstallConfiguration
extends IAdaptable

Installation configuration. Represents a specific configuration of a number of sites as a point in time. Maintains a record of the specific activities that resulted in this configuration. Current installation configuration is the configuration the platform was started with.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Method Summary
`void` | `addConfiguredSite(IConfiguredSite site)` Adds the specified site to this configuration.
`void` | `addInstallConfigurationChangedListener(IInstallConfigurationChangedListener listener)` Adds a configuration change listener.
`IConfiguredSite` | `createConfiguredSite(File directory)` Create a new installation site, based on a local file system directory.
`IConfiguredSite` | `createLinkedConfiguredSite(File directory)` Create a new linked site, based on a local file system directory.
`IActivity[]` | `getActivities()` Return the list of activities that resulted in this configuration.
`IConfiguredSite[]` | `getConfiguredSites()` Return the sites that are part of this configuration.
`Date` | `getCreationDate()` Retrun the date the configuration was created.
`String` | `getLabel()` Return the configuration label.
`long` | `getTimeline()` Returns an integer that represents a time stamp created at the beginning of a new configuration time line.
`boolean` | `isCurrent()` Indicates if this is the current configuration
`void` | `removeConfiguredSite(IConfiguredSite site)` Removes the specified site from this configuration.
`void` | `removeInstallConfigurationChangedListener(IInstallConfigurationChangedListener listener)` Removes a configuration change listener.
`void` | `setLabel(String label)` Sets the configuration label.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### isCurrent

    public boolean isCurrent()

  Indicates if this is the current configuration

  Returns:
    `true` if this is the current configuration, `false` otherwise
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getConfiguredSites

    public IConfiguredSite[] getConfiguredSites()

  Return the sites that are part of this configuration.

  Returns:
    an array of configured sites, or an empty array.
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### createConfiguredSite

    public IConfiguredSite createConfiguredSite(File directory)
                                         throws CoreException

  Create a new installation site, based on a local file system directory. Note, the site is not added to the configuration as a result of this call.

  Parameters:
    `directory` - file directory
  Returns:
    new site
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### createLinkedConfiguredSite

    public IConfiguredSite createLinkedConfiguredSite(File directory)
                                               throws CoreException

  Create a new linked site, based on a local file system directory. Note, the site is not added to the configuration as a result of this call. The linked site is only created if the directory is an already existing extension site and if it is not already natively linked to the local site.

  Parameters:
    `directory` - file directory
  Returns:
    new linked site
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### addConfiguredSite

    public void addConfiguredSite(IConfiguredSite site)

  Adds the specified site to this configuration.

  Parameters:
    `site` - new site
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### removeConfiguredSite

    public void removeConfiguredSite(IConfiguredSite site)

  Removes the specified site from this configuration.

  Parameters:
    `site` - site to remove
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### addInstallConfigurationChangedListener

    public void addInstallConfigurationChangedListener(IInstallConfigurationChangedListener listener)

  Adds a configuration change listener.

  Parameters:
    `listener` - the listener
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### removeInstallConfigurationChangedListener

    public void removeInstallConfigurationChangedListener(IInstallConfigurationChangedListener listener)

  Removes a configuration change listener.

  Parameters:
    `listener` - the listener
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getActivities

    public IActivity[] getActivities()

  Return the list of activities that resulted in this configuration. There is always at least one activity

  Returns:
    an array of activities
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getCreationDate

    public Date getCreationDate()

  Retrun the date the configuration was created.

  Returns:
    create date
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getLabel

    public String getLabel()

  Return the configuration label.

  Returns:
    the configuration label. If the configuration label was not explicitly set, a default label is generated based on the creation date
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### setLabel

    public void setLabel(String label)

  Sets the configuration label.

  Parameters:
    `label` - the label
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getTimeline

    public long getTimeline()

  Returns an integer that represents a time stamp created at the beginning of a new configuration time line. Time line is started when configuration state is created by a full file system reconciliation. All configurations subsequently created will have the same time line until the next full reconciliation. Certain operations (e.g. revert) make sense only between objects that belong to the same time line.

  Returns:
    the time stamp of the full system reconciliation Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.
  Since:
    2.0.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.